Bug 884701

Summary: regression: F18 anaconda defaults to VG name "fedora" instead of "vg_<hostname>"
Product: [Fedora] Fedora Reporter: Richard W.M. Jones <rjones>
Component: anacondaAssignee: Richard W.M. Jones <rjones>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 18CC: anaconda-maint-list, berrange, g.kaviyarasu, jonathan, sbueno, vanmeeuwen+fedora
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-02-05 17:54:28 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 856456    
Bug Blocks:    

Description Richard W.M. Jones 2012-12-06 10:26:46 EST
Description of problem:

F18 anaconda uses "fedora" as the volume group name.  This is
a regression to the bad old days of "VolGroup00".  The reason
this was changed to use something unique(-ish) like vg_<hostname>
was so that you wouldn't end up with multiple virtual machines
on a single host all having the same volume group name (which
causes problems with LVM).

(Obviously people should use libguestfs to solve this, but
for some reason people don't do that ...)

Version-Release number of selected component (if applicable):

Fedora 18 beta.

Additional info:

The original bug was:
https://bugzilla.redhat.com/show_bug.cgi?id=461682
"lvm volume group names are too generic"

The fix was:
http://git.fedorahosted.org/cgit/anaconda.git/commit/?id=0b41f2deb4e22172c6219338d5c33aed033c3133

The new code is quite different (see pyanaconda/storage/__init__.py:
newVG) and appears to try to use the hostname, but presumably
that's failing because the hostname is never set at this
point?  (In fact, Anaconda never asked me for the hostname when
I installed the OS -- I had to set it myself manually afterwards).
Comment 1 David Lehman 2012-12-06 11:47:56 EST

*** This bug has been marked as a duplicate of bug 870921 ***
Comment 2 Richard W.M. Jones 2012-12-07 03:27:00 EST
Reopen so I can check this has really been fixed when
the dependent bug is fixed.
Comment 3 Fedora End Of Life 2013-12-21 10:14:14 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2014-02-05 17:54:28 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.